Get Packages Package Locators

gethttps://app.fossa.com/api/packages/package-locators

Fetch the list of packages locators used by your organization.

Query parameters

packageLocatorstring

Filter locators to those partially matching the specified locator. For example, "foo" will match "foo", "foobar", and "bazfoobar".

countinteger

The number of results to return. Values above the maximum of 50 are silently clamped to 50.

Responses

200OK
resultsstring[]
pageSizeinteger
pageinteger
403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/packages/package-locators
curl --request GET \  --url 'https://app.fossa.com/api/packages/package-locators' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

packageLocatorstring

Filter locators to those partially matching the specified locator. For example, "foo" will match "foo", "foobar", and "bazfoobar".

countinteger

The number of results to return. Values above the maximum of 50 are silently clamped to 50.